about summary refs log tree commit diff
path: root/css.sh
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-07-13 18:14:22 -0400
committerJune McEnroe <june@causal.agency>2020-07-13 18:14:22 -0400
commitc1dfd0bb139f58a9f34dbfc61920b59df00c70c1 (patch)
tree47163cbba95f5e850179a0a8b78e9a00f2ea9c7c /css.sh
parentAdd room to start selecting table rows (diff)
downloadscooper-c1dfd0bb139f58a9f34dbfc61920b59df00c70c1.tar.gz
scooper-c1dfd0bb139f58a9f34dbfc61920b59df00c70c1.zip
Incorporate CSS into C without file2c
It's a shame file2c is not available everywhere.
Diffstat (limited to '')
-rw-r--r--css.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/css.sh b/css.sh
new file mode 100644
index 0000000..80f28d1
--- /dev/null
+++ b/css.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -eu
+
+cat <<EOF
+#define CSS(...) #__VA_ARGS__
+static const char CSS[] = CSS(
+EOF
+cat "$@"
+echo ');'
hared.c?h=1.4.0&id=d6e9200cc35411f3f27426b608bcfdef9348e6d3&follow=1'>auth: add basic authentication filter frameworkJason A. Donenfeld 2014-01-16t0111: Additions and fixesLukas Fleischer 2014-01-16parsing.c: Remove leading space from committerLukas Fleischer